[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [libvirt] [PATCH] tools: make virt-pki-validate work with acls and xattrs



On 05/31/2012 04:49 PM, Eric Blake wrote:
> On 05/31/2012 03:02 AM, Martin Kletzander wrote:
>> This patch makes virt-pki-validate work with certificates that have
>> acl or xattr set. Otherwise it failing due to wrong permissions.
>> ---
>>  tools/virt-pki-validate.in |    6 ++++--
>>  1 files changed, 4 insertions(+), 2 deletions(-)
>>
>> diff --git a/tools/virt-pki-validate.in b/tools/virt-pki-validate.in
>> index 01825d1..4164758 100755
>> --- a/tools/virt-pki-validate.in
>> +++ b/tools/virt-pki-validate.in
>> @@ -170,7 +170,8 @@ then
>>          else
>>              echo Found client private key $LIBVIRTP/clientkey.pem
>>              OWN=`ls -l "$LIBVIRTP/clientkey.pem" | awk '{ print $3 }'`
>> -            MOD=`ls -l "$LIBVIRTP/clientkey.pem" | awk '{ print $1 }'`
>> +            # The substr($1, 1, 10) gets rid of acl and xattr markers
>> +            MOD=`ls -l "$LIBVIRTP/clientkey.pem" | awk '{ print substr($1, 1, 10) }'`
> 
> ACK.  There really isn't any better _portable_ alternative to getting a
> file's permissions.
> 

Thanks, pushed.

Martin


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]